Page MenuHomePhabricator

graphite-web logs are not rotated
Closed, ResolvedPublic

Description

tungsten:/var/log/graphite-web$ ls -lah
total 22G
drwxr-xr-x  2 www-data www-data 4.0K Apr  9  2014 .
drwxr-xr-x 23 root     root     4.0K Jan 12 06:26 ..
-rw-r--r--  1 www-data www-data  13G Jan 12 16:16 cache.log
-rw-r--r--  1 www-data www-data 425M Jan 12 15:05 exception.log
-rw-r--r--  1 www-data www-data 1.6M Jan 12 12:57 info.log
-rw-r--r--  1 www-data www-data 5.0G Jan 12 16:16 metricaccess.log
-rw-r--r--  1 www-data www-data 3.3G Jan 12 16:16 rendering.log
tungsten:/var/log/graphite-web$ head cache.log 
Fri Nov 29 21:45:35 2013 :: Request-Cache miss [c25bc808a14db9f72a9ba40ad3094f7b]
Fri Nov 29 21:45:35 2013 :: Data-Cache miss [7ef142793243d335f975bb8050e24be6]
Fri Nov 29 21:45:36 2013 :: Request-Cache miss [eea16869e132ac38b986567144ab0080]
Fri Nov 29 21:45:36 2013 :: Data-Cache miss [7ef142793243d335f975bb8050e24be6]
Sat Nov 30 04:49:28 2013 :: Request-Cache miss [ce07d26cb4b02de7e53905ea024d0e77]
Sat Nov 30 04:49:28 2013 :: Data-Cache miss [f2dd2825990f811a36c7488be1736b2f]
Sat Nov 30 04:49:28 2013 :: Request-Cache miss [73fa14190064a596f3bb95e59d69b4ad]
Sat Nov 30 04:49:28 2013 :: Data-Cache miss [f2011c82dfc1cb63ac4eae9542a92406]
Sat Nov 30 04:49:28 2013 :: Request-Cache miss [ce07d26cb4b02de7e53905ea024d0e77]
Sat Nov 30 04:49:28 2013 :: Request-Cache miss [73fa14190064a596f3bb95e59d69b4ad]
tungsten:/var/log/graphite-web$ du -hcs .
22G     .
22G     total
tungsten:/var/log/graphite-web$

Event Timeline

fgiunchedi claimed this task.
fgiunchedi raised the priority of this task from to Medium.
fgiunchedi updated the task description. (Show Details)
fgiunchedi added projects: acl*sre-team, Graphite.
fgiunchedi added a subscriber: fgiunchedi.
chasemp updated the task description. (Show Details)Oct 21 2015, 11:32 PM
chasemp added a project: audits-data-retention.
chasemp set Security to None.
Krinkle moved this task from Inbox to graphite-web on the Graphite board.Nov 18 2016, 6:32 PM
fgiunchedi removed fgiunchedi as the assignee of this task.Mar 19 2020, 3:46 PM
Dzahn added a subscriber: Dzahn.

This task is over 5 years old and i found it while searching for "tungsten" when i decom'ed it today. graphite-web has not been on that host in a long time.

If i look at the current host graphite1004 then /var/log/graphite is actually completely empty.. no logs at all.

Should this stay open?

fgiunchedi closed this task as Resolved.Thu, Aug 27, 11:04 AM
fgiunchedi claimed this task.

Thanks for following up @Dzahn ! Yes resolving because this is fixed now:

root@graphite1004:/var/log/graphite-web# ls -latr
total 83920
drwxr-xr-x 20 root     root         4096 Aug  1 06:25 ..
-rw-r--r--  1 www-data www-data    35639 Aug 21 20:23 exception.log.2020-08-21
-rw-r--r--  1 www-data www-data     3332 Aug 24 15:46 exception.log.3.gz
-rw-r--r--  1 www-data www-data      770 Aug 25 04:49 info.log.3.gz
-rw-r--r--  1 www-data www-data      356 Aug 25 05:49 rendering.log.3.gz
-rw-r--r--  1 www-data www-data      640 Aug 25 05:49 cache.log.3.gz
-rw-r--r--  1 www-data www-data     2344 Aug 25 18:42 exception.log.2.gz
-rw-r--r--  1 www-data www-data       82 Aug 26 03:45 rendering.log.2.gz
-rw-r--r--  1 www-data www-data       97 Aug 26 03:45 cache.log.2.gz
-rw-r--r--  1 www-data www-data      377 Aug 26 04:46 info.log.2.gz
-rw-r--r--  1 www-data www-data    95887 Aug 26 16:08 exception.log.1
-rw-r--r--  1 www-data www-data     2149 Aug 27 02:54 info.log.2020-08-26
-rw-r--r--  1 www-data www-data      128 Aug 27 05:59 rendering.log.2020-08-26
-rw-r--r--  1 www-data www-data      160 Aug 27 05:59 cache.log.2020-08-26
-rw-r--r--  1 www-data www-data      159 Aug 27 06:06 cache.log.1
-rw-r--r--  1 www-data www-data     1734 Aug 27 06:06 info.log.1
-rw-r--r--  1 www-data www-data      337 Aug 27 06:06 rendering.log.1
-rw-r--r--  1 www-data www-data        0 Aug 27 06:25 exception.log
drwxr-xr-x  2 www-data www-data     4096 Aug 27 06:26 .
-rw-r--r--  1 www-data www-data  9628831 Aug 27 11:03 info.log
-rw-r--r--  1 www-data www-data 73350403 Aug 27 11:03 cache.log
-rw-r--r--  1 www-data www-data  2739153 Aug 27 11:03 rendering.log